<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" indent="no" encoding="UTF-8"/>
<xsl:param name="baseFile"/>    
<xsl:param name="insertFile"/>


    <xsl:template match="/">
        <xsl:copy>
            <xsl:text disable-output-escaping="yes"><![CDATA[<!DOCTYPE  viewdef [
  <!ENTITY nbsp "&#160;">
  <!ENTITY copy "&#169;">
  <!ENTITY shy  "&#173;">
]>]]>
            </xsl:text>
            <xsl:apply-templates />
        </xsl:copy>
    </xsl:template>

    <xsl:template match="viewdef[@messages = 'EditSelectedMenuMessages.vdf']">
        <xsl:text>&#xa;</xsl:text>
        <xsl:text>&#xa;</xsl:text>
        <viewdef cdata-section-elements="script" messages="EditSelectedMenuMessages.vdf">
            <xsl:call-template name="insertLCMtoolFormName"/>
            <xsl:apply-templates select="@*|node()" />
        </viewdef>
    </xsl:template>

    <xsl:template name="insertLCMtoolFormName">
        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>LCM_INSERT</xsl:comment>
        <xsl:text>&#xa;</xsl:text>
			<xsl:variable name="matchDefine1" select="document($insertFile)/viewdef/define"/>
            <xsl:for-each select="$matchDefine1">
                <xsl:if test= "@id='toolFormName'" >
                    <xsl:copy-of select="." />
                </xsl:if>
            </xsl:for-each>
        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>LCM_INSERT</xsl:comment>
    </xsl:template>
    
    <xsl:template match="define[@id = 'getMenu']">
        <xsl:text>&#xa;</xsl:text>
        <xsl:text>&#xa;</xsl:text>
        <define id="getMenu">
            <xsl:call-template name="insertGetMenuScript"/>
            <xsl:call-template name="insertGetMenuCaller"/>
            <xsl:apply-templates select="@*|node()" />
        </define>
    </xsl:template>
    
    <xsl:template name="insertGetMenuScript">
        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>LCM_INSERT</xsl:comment>
        <xsl:text>&#xa;</xsl:text>           
            <xsl:variable name="matchIf" select="document($insertFile)/viewdef/define[@id = 'getMenu']/if"/>
            <xsl:for-each select="$matchIf">
                <xsl:if test= "contains(@cond, 'runjs')" >
                    <xsl:text>&#xa;</xsl:text>
                    <xsl:copy-of select="." />
                </xsl:if>
            </xsl:for-each>
        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>LCM_INSERT</xsl:comment>
    </xsl:template>

    <xsl:template name="insertGetMenuCaller">
        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>LCM_INSERT</xsl:comment>
        <xsl:text>&#xa;</xsl:text>           
            <xsl:variable name="matchIf" select="document($insertFile)/viewdef/define[@id = 'getMenu']/if"/>
            <xsl:for-each select="$matchIf">
                <xsl:if test= "contains(@cond, 'search_image')" >
                    <xsl:text>&#xa;</xsl:text>
                    <xsl:copy-of select="." />
                </xsl:if>
            </xsl:for-each>
        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>LCM_INSERT</xsl:comment>
    </xsl:template>
    
    <xsl:template match="define[@id = 'editSelected']//if[contains(@cond, 'delete_user')]">
        <xsl:variable name="optionList" select="./if/option" />
        <xsl:copy-of select="."/>
        <xsl:for-each select="$optionList">
            <xsl:if test="contains(@value, 'EXPORT')">
                <xsl:call-template name="insertLCMOptions"/>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>

    <xsl:template name="insertLCMOptions">
        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>LCM_INSERT</xsl:comment>
        <xsl:text>&#xa;</xsl:text>
<!-- 
			<xsl:variable name="matchDefine" select="document($insertFile)/viewdef/define[@id = 'editSelected']//define"/>
            <xsl:for-each select="$matchDefine">
                <xsl:if test= "@id='policy_manager'" >
                    <xsl:copy-of select="." />
                </xsl:if>
            </xsl:for-each>
-->            
            <xsl:variable name="matchIf" select="document($insertFile)/viewdef/define[@id = 'editSelected']//if"/>
            <xsl:for-each select="$matchIf">
                <xsl:if test= "contains(@cond, 'policy_manager')" >
                    <xsl:text>&#xa;</xsl:text>
                    <xsl:copy-of select="." />
                </xsl:if>
            </xsl:for-each>

        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>LCM_INSERT</xsl:comment>
    </xsl:template>

    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()" />
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>
